> For the complete documentation index, see [llms.txt](https://docs.alternativepayments.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.alternativepayments.io/api-reference/models.md).

# Models

## The AccountTypeEnum object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"AccountTypeEnum":{"description":"Bank account type enum","enum":["checking","savings"],"type":"string"}}}}
```

## The AddressInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"AddressInput":{"description":"Address information","properties":{"city":{"type":"string"},"country":{"type":"string"},"country_code":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"state_code":{"type":"string"},"street_address":{"type":"string"},"subpremise":{"type":"string"}},"type":"object"}}}}
```

## The BankAccountInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BankAccountInput":{"description":"Bank account details for vendor creation","properties":{"account_number":{"type":"string"},"account_type":{"type":"string"},"bank_name":{"type":"string"},"routing_number":{"type":"string"}},"type":"object"}}}}
```

## The BankAccountReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BankAccountReply":{"description":"Vendor bank account details (masked)","properties":{"account_mask":{"type":"string"},"account_type":{"$ref":"#/components/schemas/AccountTypeEnum"},"bank_name":{"type":"string"},"id":{"type":"string"},"payment_method_id":{"type":"string"}},"type":"object"},"AccountTypeEnum":{"description":"Bank account type enum","enum":["checking","savings"],"type":"string"}}}}
```

## The BillDocumentReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BillDocumentReply":{"description":"Bill document download details","properties":{"download_url":{"type":"string"},"filename":{"type":"string"},"mime_type":{"type":"string"}},"type":"object"}}}}
```

## The BillLineItemInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BillLineItemInput":{"description":"Bill line item input","properties":{"description":{"type":"string"},"expense_account_id":{"description":"ExpenseAccountID is an optional GL/expense account ID used to categorize this line item. Omit to leave it uncategorized.","type":"string"},"name":{"type":"string"},"quantity":{"type":"number"},"tax":{"type":"number"},"total":{"type":"number"},"unit_price":{"type":"number"},"unit_type":{"type":"string"}},"type":"object"}}}}
```

## The BillReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BillReply":{"description":"Bill details","properties":{"amount":{"type":"number"},"created_at":{"type":"string"},"description":{"type":"string"},"due_date":{"type":"string"},"id":{"type":"string"},"issue_date":{"type":"string"},"last_status":{"$ref":"#/components/schemas/BillStatusReply"},"line_items":{"items":{"$ref":"#/components/schemas/LineItemReply"},"type":"array"},"number":{"type":"string"},"pay_date":{"type":"string"},"source":{"$ref":"#/components/schemas/BillSource"},"status":{"$ref":"#/components/schemas/BillStatus"},"updated_at":{"type":"string"},"vendor_id":{"type":"string"},"vendor_payments":{"items":{"$ref":"#/components/schemas/VendorPaymentReply"},"type":"array"}},"type":"object"},"BillStatusReply":{"description":"Bill status history entry","properties":{"created_at":{"type":"string"},"reason":{"type":"string"},"status":{"$ref":"#/components/schemas/BillStatus"},"user_id":{"type":"string"}},"type":"object"},"BillStatus":{"description":"Bill status enum","enum":["draft","needs_approval","processing","paid","deleted","failed"],"type":"string"},"LineItemReply":{"description":"Bill line item details","properties":{"description":{"type":"string"},"expense_account_id":{"type":"string"},"name":{"type":"string"},"quantity":{"type":"number"},"sequence":{"type":"integer"},"tax":{"type":"number"},"total":{"type":"number"},"unit_price":{"type":"number"},"unit_type":{"type":"string"}},"type":"object"},"BillSource":{"description":"Bill source enum","enum":["manual","quickbooks","ocr"],"type":"string"},"VendorPaymentReply":{"description":"Vendor payment details","properties":{"attempt_number":{"type":"integer"},"estimated_arrival_date":{"type":"string"},"failure_reason":{"type":"string"},"hold_until":{"type":"string"},"id":{"type":"string"},"payment_method_id":{"type":"string"},"payment_speed":{"$ref":"#/components/schemas/PaymentSpeedEnum"},"sent_at":{"type":"string"},"status":{"$ref":"#/components/schemas/VendorPaymentStatusEnum"}},"type":"object"},"PaymentSpeedEnum":{"description":"Payment speed enum","enum":["standard","next_day","same_day","instant"],"type":"string"},"VendorPaymentStatusEnum":{"description":"Vendor payment status enum","enum":["hold","waiting_pay_date","ready","processing","succeeded","failed"],"type":"string"}}}}
```

## The BillSource object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BillSource":{"description":"Bill source enum","enum":["manual","quickbooks","ocr"],"type":"string"}}}}
```

## The BillStatus object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BillStatus":{"description":"Bill status enum","enum":["draft","needs_approval","processing","paid","deleted","failed"],"type":"string"}}}}
```

## The BillStatusReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BillStatusReply":{"description":"Bill status history entry","properties":{"created_at":{"type":"string"},"reason":{"type":"string"},"status":{"$ref":"#/components/schemas/BillStatus"},"user_id":{"type":"string"}},"type":"object"},"BillStatus":{"description":"Bill status enum","enum":["draft","needs_approval","processing","paid","deleted","failed"],"type":"string"}}}}
```

## The BulkCancelItemInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BulkCancelItemInput":{"description":"Bulk cancel item","properties":{"bill_id":{"type":"string"},"payment_id":{"type":"string"}},"type":"object"}}}}
```

## The BulkCancelResultReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BulkCancelResultReply":{"description":"Bulk cancel per-item result","properties":{"bill_id":{"type":"string"},"error_reason":{"type":"string"},"success":{"type":"boolean"}},"type":"object"}}}}
```

## The BulkCancelVendorPaymentsInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BulkCancelVendorPaymentsInput":{"description":"Bulk vendor payment cancellation request","properties":{"items":{"items":{"$ref":"#/components/schemas/BulkCancelItemInput"},"type":"array"}},"type":"object"},"BulkCancelItemInput":{"description":"Bulk cancel item","properties":{"bill_id":{"type":"string"},"payment_id":{"type":"string"}},"type":"object"}}}}
```

## The BulkCancelVendorPaymentsReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BulkCancelVendorPaymentsReply":{"description":"Bulk vendor payment cancellation results","properties":{"results":{"items":{"$ref":"#/components/schemas/BulkCancelResultReply"},"type":"array"}},"type":"object"},"BulkCancelResultReply":{"description":"Bulk cancel per-item result","properties":{"bill_id":{"type":"string"},"error_reason":{"type":"string"},"success":{"type":"boolean"}},"type":"object"}}}}
```

## The BulkDeleteBillsInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BulkDeleteBillsInput":{"description":"Bulk bill deletion request","properties":{"bill_ids":{"items":{"type":"string"},"type":"array"}},"type":"object"}}}}
```

## The BulkOperationReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BulkOperationReply":{"description":"Bulk operation results","properties":{"results":{"items":{"$ref":"#/components/schemas/BulkResultReply"},"type":"array"}},"type":"object"},"BulkResultReply":{"description":"Bulk operation per-item result","properties":{"bill_id":{"type":"string"},"error_reason":{"type":"string"},"success":{"type":"boolean"}},"type":"object"}}}}
```

## The BulkResultReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BulkResultReply":{"description":"Bulk operation per-item result","properties":{"bill_id":{"type":"string"},"error_reason":{"type":"string"},"success":{"type":"boolean"}},"type":"object"}}}}
```

## The BulkSubmitBillsInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"BulkSubmitBillsInput":{"description":"Bulk bill submission request","properties":{"bill_ids":{"items":{"type":"string"},"type":"array"}},"type":"object"}}}}
```

## The CancelVendorPaymentInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CancelVendorPaymentInput":{"description":"Vendor payment cancellation request","properties":{"bill_id":{"type":"string"},"payment_id":{"type":"string"}},"type":"object"}}}}
```

## The CancelVendorPaymentReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CancelVendorPaymentReply":{"description":"Vendor payment cancellation result","properties":{"payment_id":{"type":"string"},"status":{"type":"string"}},"type":"object"}}}}
```

## The CardFormCredentials object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CardFormCredentials":{"properties":{"app_id":{"type":"string"},"team_id":{"type":"string"}},"type":"object"}}}}
```

## The ChangeDefaultResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"ChangeDefaultResponse":{"description":"Change default method response","properties":{"response":{"type":"string"}},"type":"object"}}}}
```

## The CheckoutAddressInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutAddressInput":{"description":"Billing address information","properties":{"city":{"type":"string"},"country":{"type":"string"},"country_code":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"state_code":{"type":"string"},"street_address":{"type":"string"},"subpremise":{"type":"string"}},"type":"object"}}}}
```

## The CheckoutCAAccountData object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutCAAccountData":{"description":"Canadian bank account data","properties":{"account_number":{"type":"string"},"institution_code":{"type":"string"},"transit_number":{"type":"string"}},"type":"object"}}}}
```

## The CheckoutCreateBankAccountInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutCreateBankAccountInput":{"description":"Create bank account payment method request body. Only one of USAccountData or CAAccountData must be sent, matching AccountDataType.","properties":{"account_data_type":{"enum":["us","ca"],"type":"string"},"ca_account_data":{"$ref":"#/components/schemas/CheckoutCAAccountData"},"custom_name":{"type":"string"},"institution_name":{"type":"string"},"receiver_name":{"type":"string"},"subtype":{"allOf":[{"$ref":"#/components/schemas/checkout_api.AccountSubtype"}],"enum":["checkings","savings"]},"type":{"allOf":[{"$ref":"#/components/schemas/checkout_api.AccountType"}],"enum":["depository"]},"us_account_data":{"$ref":"#/components/schemas/CheckoutUSAccountData"}},"type":"object"},"CheckoutCAAccountData":{"description":"Canadian bank account data","properties":{"account_number":{"type":"string"},"institution_code":{"type":"string"},"transit_number":{"type":"string"}},"type":"object"},"checkout_api.AccountSubtype":{"enum":["checkings","savings"],"type":"string"},"checkout_api.AccountType":{"enum":["depository"],"type":"string"},"CheckoutUSAccountData":{"description":"US bank account data","properties":{"account_number":{"type":"string"},"routing_number":{"type":"string"}},"type":"object"}}}}
```

## The CheckoutCreateBankAccountResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutCreateBankAccountResponse":{"description":"Create bank account response","properties":{"id":{"type":"string"}},"type":"object"}}}}
```

## The CheckoutCreateCardCvvInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutCreateCardCvvInput":{"description":"CVV registration information","properties":{"cvv_secret":{"type":"string"},"provider":{"allOf":[{"$ref":"#/components/schemas/checkout_api.CardProvider"}],"enum":["evervault"]}},"type":"object"},"checkout_api.CardProvider":{"enum":["evervault"],"type":"string"}}}}
```

## The CheckoutCreateCardCvvResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutCreateCardCvvResponse":{"description":"Create card CVV response","properties":{"success":{"type":"boolean"}},"type":"object"}}}}
```

## The CheckoutCreateCardInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutCreateCardInput":{"description":"Create card payment method request body","properties":{"address":{"$ref":"#/components/schemas/CheckoutAddressInput"},"card_provider_token":{"type":"string"},"custom_name":{"type":"string"},"provider":{"allOf":[{"$ref":"#/components/schemas/checkout_api.CardProvider"}],"enum":["evervault"]}},"type":"object"},"CheckoutAddressInput":{"description":"Billing address information","properties":{"city":{"type":"string"},"country":{"type":"string"},"country_code":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"state_code":{"type":"string"},"street_address":{"type":"string"},"subpremise":{"type":"string"}},"type":"object"},"checkout_api.CardProvider":{"enum":["evervault"],"type":"string"}}}}
```

## The CheckoutCreateCardResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutCreateCardResponse":{"description":"Create card response","properties":{"id":{"type":"string"}},"type":"object"}}}}
```

## The CheckoutCreatePaymentInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutCreatePaymentInput":{"description":"Create payment request body","properties":{"amount":{"type":"string"},"idempotency_key":{"type":"string"},"payment_date":{"type":"string"},"payment_method":{"enum":["card","standard_ach"],"type":"string"},"payment_method_id":{"type":"string"}},"type":"object"}}}}
```

## The CheckoutCreatePaymentResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutCreatePaymentResponse":{"description":"Create payment response","properties":{"message":{"type":"string"},"status":{"type":"string"}},"type":"object"}}}}
```

## The CheckoutGetCardPaymentFeesRequest object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutGetCardPaymentFeesRequest":{"description":"Request body for calculating card payment fees","properties":{"amount":{"type":"string"},"currency":{"enum":["USD","CAD"],"type":"string"}},"type":"object"}}}}
```

## The CheckoutGetCardPaymentFeesResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutGetCardPaymentFeesResponse":{"description":"Response containing calculated payment fees for card payments","properties":{"fee_percentage_for_customer":{"type":"string"},"fee_percentage_for_partner":{"type":"string"},"fixed_fee_amount_customer":{"type":"string"},"fixed_fee_amount_partner":{"type":"string"},"relative_fee_amount_customer":{"type":"string"},"relative_fee_amount_partner":{"type":"string"}},"type":"object"}}}}
```

## The CheckoutGetPaymentMethodsReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutGetPaymentMethodsReply":{"description":"List of payment methods response","properties":{"data":{"items":{"$ref":"#/components/schemas/CheckoutPaymentMethod"},"type":"array"}},"type":"object"},"CheckoutPaymentMethod":{"description":"Payment method information","properties":{"brand":{"type":"string"},"created_at":{"type":"string"},"default":{"type":"boolean"},"exp_month":{"type":"string"},"exp_year":{"type":"string"},"id":{"type":"string"},"last4":{"type":"string"},"type":{"$ref":"#/components/schemas/checkout_api.MethodType"}},"type":"object"},"checkout_api.MethodType":{"enum":["card","ach"],"type":"string"}}}}
```

## The CheckoutGetPdfLinkReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutGetPdfLinkReply":{"description":"PDF link response","properties":{"url":{"type":"string"}},"type":"object"}}}}
```

## The CheckoutInvoiceReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutInvoiceReply":{"description":"Invoice response","properties":{"created_at":{"type":"string"},"currency":{"type":"string"},"customer_id":{"type":"string"},"due_date":{"type":"string"},"id":{"type":"string"},"invoice_number":{"type":"string"},"status":{"type":"string"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"}}}}
```

## The CheckoutPaymentMethod object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutPaymentMethod":{"description":"Payment method information","properties":{"brand":{"type":"string"},"created_at":{"type":"string"},"default":{"type":"boolean"},"exp_month":{"type":"string"},"exp_year":{"type":"string"},"id":{"type":"string"},"last4":{"type":"string"},"type":{"$ref":"#/components/schemas/checkout_api.MethodType"}},"type":"object"},"checkout_api.MethodType":{"enum":["card","ach"],"type":"string"}}}}
```

## The CheckoutUSAccountData object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CheckoutUSAccountData":{"description":"US bank account data","properties":{"account_number":{"type":"string"},"routing_number":{"type":"string"}},"type":"object"}}}}
```

## The CreateBankAccountInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateBankAccountInput":{"description":"Bank account information. Only one of USAccountData or CAAccountData must be sent, matching AccountDataType.","properties":{"account_data_type":{"enum":["us","ca"],"type":"string"},"ca_account_data":{"$ref":"#/components/schemas/payment_methods_api.CAAccountData"},"custom_name":{"type":"string"},"institution_name":{"type":"string"},"receiver_name":{"type":"string"},"subtype":{"enum":["checkings","savings"],"type":"string"},"type":{"enum":["depository"],"type":"string"},"us_account_data":{"$ref":"#/components/schemas/payment_methods_api.USAccountData"}},"type":"object"},"payment_methods_api.CAAccountData":{"properties":{"account_number":{"type":"string"},"institution_code":{"type":"string"},"transit_number":{"type":"string"}},"type":"object"},"payment_methods_api.USAccountData":{"properties":{"account_number":{"type":"string"},"routing_number":{"type":"string"}},"type":"object"}}}}
```

## The CreateBankAccountResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateBankAccountResponse":{"description":"Create bank account response","properties":{"id":{"type":"string"}},"type":"object"}}}}
```

## The CreateBillInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateBillInput":{"description":"Bill creation request","properties":{"amount":{"type":"number"},"description":{"type":"string"},"due_date":{"type":"string"},"issue_date":{"type":"string"},"line_items":{"items":{"$ref":"#/components/schemas/BillLineItemInput"},"type":"array"},"number":{"type":"string"},"status":{"type":"string"},"vendor_id":{"type":"string"}},"type":"object"},"BillLineItemInput":{"description":"Bill line item input","properties":{"description":{"type":"string"},"expense_account_id":{"description":"ExpenseAccountID is an optional GL/expense account ID used to categorize this line item. Omit to leave it uncategorized.","type":"string"},"name":{"type":"string"},"quantity":{"type":"number"},"tax":{"type":"number"},"total":{"type":"number"},"unit_price":{"type":"number"},"unit_type":{"type":"string"}},"type":"object"}}}}
```

## The CreateCardCvvInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateCardCvvInput":{"description":"CVV registration information","properties":{"cvv_secret":{"type":"string"},"product_id":{"type":"string"},"product_type":{"enum":["invoice"],"type":"string"},"provider":{"enum":["evervault"],"type":"string"}},"type":"object"}}}}
```

## The CreateCardCvvResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateCardCvvResponse":{"description":"Create card CVV response","properties":{"success":{"type":"boolean"}},"type":"object"}}}}
```

## The CreateCardInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateCardInput":{"description":"Tokenized card information","properties":{"address":{"$ref":"#/components/schemas/AddressInput"},"card_provider_token":{"type":"string"},"custom_name":{"type":"string"},"provider":{"enum":["evervault"],"type":"string"}},"type":"object"},"AddressInput":{"description":"Address information","properties":{"city":{"type":"string"},"country":{"type":"string"},"country_code":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"state_code":{"type":"string"},"street_address":{"type":"string"},"subpremise":{"type":"string"}},"type":"object"}}}}
```

## The CreateCardResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateCardResponse":{"description":"Create card response","properties":{"id":{"type":"string"}},"type":"object"}}}}
```

## The CreateCustomerInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateCustomerInput":{"description":"Customer information","properties":{"city":{"type":"string"},"country":{"type":"string"},"ein":{"type":"string"},"email":{"type":"string"},"external_id":{"type":"string"},"legal_name":{"type":"string"},"name":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"street_address":{"type":"string"},"sub_premise":{"type":"string"}},"type":"object"}}}}
```

## The CreateCustomerUserInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateCustomerUserInput":{"properties":{"email":{"type":"string"},"first_name":{"type":"string"},"last_name":{"type":"string"}},"type":"object"}}}}
```

## The CreateInvoiceInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateInvoiceInput":{"properties":{"customer_id":{"type":"string"},"due_date":{"description":"Due date in YYYY-MM-DD format. If omitted, defaults to the current date from invoice creation.","type":"string"},"exclude_from_autopay":{"description":"When true, this invoice is excluded from Autopay at creation time. Use this\nwhen your integration pays the invoice synchronously via API and you want to\nguarantee Autopay never charges the same invoice. Defaults to false.","type":"boolean"},"line_items":{"items":{"$ref":"#/components/schemas/InvoiceLineItem"},"type":"array"}},"type":"object"},"InvoiceLineItem":{"properties":{"amount":{"type":"number"},"description":{"type":"string"},"quantity":{"type":"integer"}},"type":"object"}}}}
```

## The CreatePaymentRequest object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreatePaymentRequest":{"description":"Request body for creating a payment","properties":{"amount":{"type":"string"},"customer_id":{"type":"string"},"idempotency_key":{"type":"string"},"invoice_id":{"type":"string"},"payment_date":{"type":"string"},"payment_method":{"description":"@enum card,standard_ach","enum":["card","standard_ach"],"type":"string"},"payment_method_id":{"type":"string"}},"type":"object"}}}}
```

## The CreateRefundRequest object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateRefundRequest":{"description":"Request body for creating a refund","properties":{"amount":{"type":"string"},"idempotency_key":{"type":"string"},"payment_id":{"type":"string"},"reason":{"$ref":"#/components/schemas/RefundReasonDetail"}},"type":"object"},"RefundReasonDetail":{"description":"The reason for the refund. If 'Other', please specify the reason in more detail.","properties":{"description":{"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/refunds_api.RefundType"}],"description":"@enum Customer Request, Duplicate, Fraud, Other"}},"type":"object"},"refunds_api.RefundType":{"enum":["Customer Request","Duplicate","Fraud","Other"],"type":"string"}}}}
```

## The CreateVendorDataRequestReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateVendorDataRequestReply":{"description":"Vendor data request creation result","properties":{"id":{"type":"string"}},"type":"object"}}}}
```

## The CreateVendorInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateVendorInput":{"description":"Vendor creation request","properties":{"bank_account":{"$ref":"#/components/schemas/BankAccountInput"},"category":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"email":{"type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"street_address":{"type":"string"},"tax_id":{"type":"string"}},"type":"object"},"BankAccountInput":{"description":"Bank account details for vendor creation","properties":{"account_number":{"type":"string"},"account_type":{"type":"string"},"bank_name":{"type":"string"},"routing_number":{"type":"string"}},"type":"object"}}}}
```

## The CreateVendorPaymentInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateVendorPaymentInput":{"description":"Vendor payment creation request","properties":{"idempotency_key":{"type":"string"},"items":{"items":{"$ref":"#/components/schemas/PaymentItemInput"},"type":"array"}},"type":"object"},"PaymentItemInput":{"description":"Payment item for vendor payment creation","properties":{"bill_id":{"type":"string"},"payment_method_id":{"type":"string"},"payment_speed":{"$ref":"#/components/schemas/PaymentSpeedInput"}},"type":"object"},"PaymentSpeedInput":{"description":"Payment speed enum: standard, next_day, same_day, instant","enum":["standard","next_day","same_day","instant"],"type":"string"}}}}
```

## The CreateVendorPaymentReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateVendorPaymentReply":{"description":"Vendor payment creation results","properties":{"results":{"items":{"$ref":"#/components/schemas/CreateVendorPaymentResultReply"},"type":"array"}},"type":"object"},"CreateVendorPaymentResultReply":{"description":"Vendor payment creation per-item result","properties":{"bill_id":{"type":"string"},"success":{"type":"boolean"}},"type":"object"}}}}
```

## The CreateVendorPaymentResultReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CreateVendorPaymentResultReply":{"description":"Vendor payment creation per-item result","properties":{"bill_id":{"type":"string"},"success":{"type":"boolean"}},"type":"object"}}}}
```

## The CustomerReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CustomerReply":{"properties":{"city":{"type":"string"},"country":{"type":"string"},"created_at":{"type":"string"},"customer_integration_id":{"type":"string"},"default_payment_method_id":{"type":"string"},"ein":{"type":"string"},"email":{"type":"string"},"external_id":{"type":"string"},"id":{"type":"string"},"legal_name":{"type":"string"},"name":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"street_address":{"type":"string"},"sub_premise":{"type":"string"}},"type":"object"}}}}
```

## The CustomerUser object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"CustomerUser":{"properties":{"created_at":{"type":"string"},"email":{"type":"string"},"first_name":{"type":"string"},"id":{"type":"string"},"job_title":{"type":"string"},"last_name":{"type":"string"},"phone":{"type":"string"}},"type":"object"}}}}
```

## The DeactivateVendorReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"DeactivateVendorReply":{"description":"Vendor deactivation result","properties":{"affected_bill_count":{"type":"integer"},"vendor_id":{"type":"string"}},"type":"object"}}}}
```

## The DeleteBillReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"DeleteBillReply":{"description":"Bill deletion result","properties":{"bill_id":{"type":"string"},"success":{"type":"boolean"}},"type":"object"}}}}
```

## The DeletePaymentMethodResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"DeletePaymentMethodResponse":{"description":"Delete a payment method","properties":{"response":{"type":"string"}},"type":"object"}}}}
```

## The ExtractedBillDataReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"ExtractedBillDataReply":{"description":"Extracted bill data from OCR","properties":{"description":{"type":"string"},"due_date":{"type":"string"},"invoice_number":{"type":"string"},"issue_date":{"type":"string"},"line_items":{"items":{"$ref":"#/components/schemas/ExtractedLineItemReply"},"type":"array"},"total":{"type":"number"},"vendor_email":{"type":"string"},"vendor_name":{"type":"string"}},"type":"object"},"ExtractedLineItemReply":{"description":"Extracted line item from OCR","properties":{"description":{"type":"string"},"name":{"type":"string"},"quantity":{"type":"number"},"total":{"type":"number"},"unit_price":{"type":"number"}},"type":"object"}}}}
```

## The ExtractedLineItemReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"ExtractedLineItemReply":{"description":"Extracted line item from OCR","properties":{"description":{"type":"string"},"name":{"type":"string"},"quantity":{"type":"number"},"total":{"type":"number"},"unit_price":{"type":"number"}},"type":"object"}}}}
```

## The GenerateTokenResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"GenerateTokenResponse":{"properties":{"expires_at":{"type":"integer"},"token":{"type":"string"}},"type":"object"}}}}
```

## The GetCardPaymentFeesRequest object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"GetCardPaymentFeesRequest":{"description":"Request body for calculating card payment fees","properties":{"amount":{"type":"string"},"currency":{"enum":["USD","CAD"],"type":"string"}},"type":"object"}}}}
```

## The GetCardPaymentFeesResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"GetCardPaymentFeesResponse":{"description":"Response containing calculated payment fees for card payments","properties":{"fee_percentage_for_customer":{"type":"string"},"fee_percentage_for_partner":{"type":"string"},"fixed_fee_amount_customer":{"type":"string"},"fixed_fee_amount_partner":{"type":"string"},"relative_fee_amount_customer":{"type":"string"},"relative_fee_amount_partner":{"type":"string"}},"type":"object"}}}}
```

## The GetPaymentLinkData object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"GetPaymentLinkData":{"properties":{"url":{"type":"string"}},"type":"object"}}}}
```

## The GetPaymentMethodsReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"GetPaymentMethodsReply":{"properties":{"data":{"items":{"$ref":"#/components/schemas/PaymentMethod"},"type":"array"}},"type":"object"},"PaymentMethod":{"properties":{"brand":{"type":"string"},"created_at":{"type":"string"},"default":{"type":"boolean"},"exp_month":{"type":"string"},"exp_year":{"type":"string"},"id":{"type":"string"},"last4":{"type":"string"},"type":{"$ref":"#/components/schemas/MethodType"}},"type":"object"},"MethodType":{"enum":["card","ach"],"type":"string"}}}}
```

## The GetPdfLinkData object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"GetPdfLinkData":{"properties":{"url":{"type":"string"}},"type":"object"}}}}
```

## The GetThemeReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"GetThemeReply":{"properties":{"partner_name":{"type":"string"},"theme":{"$ref":"#/components/schemas/ThemePreferences"}},"type":"object"},"ThemePreferences":{"properties":{"color":{"type":"string"},"logo_url":{"type":"string"}},"type":"object"}}}}
```

## The GetTransactionsReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"GetTransactionsReply":{"properties":{"payout":{"$ref":"#/components/schemas/Payout"},"transactions":{"items":{"$ref":"#/components/schemas/Transaction"},"type":"array"}},"type":"object"},"Payout":{"properties":{"arrival_date":{"type":"string"},"created_at":{"type":"string"},"customer_id":{"type":"string"},"fees":{"items":{"$ref":"#/components/schemas/PayoutFee"},"type":"array"},"id":{"type":"string"},"status":{"$ref":"#/components/schemas/PayoutStatus"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"PayoutFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/PayoutFeeType"}},"type":"object"},"PayoutFeeType":{"enum":["unspecified","late_payment","product","method"],"type":"string"},"PayoutStatus":{"enum":["unspecified","creating","processing","analyzing","succeeded","scheduled","approved","canceled","pending","failed"],"type":"string"},"Transaction":{"properties":{"description":{"type":"string"},"direction":{"$ref":"#/components/schemas/TransactionDirection"},"failure_reason":{"type":"string"},"id":{"type":"string"},"method":{"$ref":"#/components/schemas/TransactionMethod"},"status":{"$ref":"#/components/schemas/TransactionStatus"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"TransactionDirection":{"enum":["credit","debit"],"type":"string"},"TransactionMethod":{"enum":["standard_ach","same_day_ach","manual","card","wire","rtp"],"type":"string"},"TransactionStatus":{"enum":["created","processing","succeeded","canceled","charged","failed","chargeback","refunded"],"type":"string"}}}}
```

## The HttpError object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"HttpError":{"properties":{"code":{"type":"string"},"message":{"type":"string"},"validation_errors":{"additionalProperties":{"type":"string"},"type":"object"}},"type":"object"}}}}
```

## The Invoice object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"Invoice":{"properties":{"created_at":{"type":"string"},"currency":{"type":"string"},"customer_id":{"type":"string"},"due_date":{"type":"string"},"id":{"type":"string"},"invoice_number":{"type":"string"},"last_notification_at":{"type":"string"},"line_items":{"items":{"$ref":"#/components/schemas/InvoiceLineItem"},"type":"array"},"memo":{"type":"string"},"status":{"type":"string"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"InvoiceLineItem":{"properties":{"amount":{"type":"number"},"description":{"type":"string"},"quantity":{"type":"integer"}},"type":"object"}}}}
```

## The InvoiceLineItem object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"InvoiceLineItem":{"properties":{"amount":{"type":"number"},"description":{"type":"string"},"quantity":{"type":"integer"}},"type":"object"}}}}
```

## The LineItemReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"LineItemReply":{"description":"Bill line item details","properties":{"description":{"type":"string"},"expense_account_id":{"type":"string"},"name":{"type":"string"},"quantity":{"type":"number"},"sequence":{"type":"integer"},"tax":{"type":"number"},"total":{"type":"number"},"unit_price":{"type":"number"},"unit_type":{"type":"string"}},"type":"object"}}}}
```

## The LineItemsUpdateInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"LineItemsUpdateInput":{"description":"Line items update with optional replacement","properties":{"items":{"items":{"$ref":"#/components/schemas/BillLineItemInput"},"type":"array"},"replace":{"type":"boolean"}},"type":"object"},"BillLineItemInput":{"description":"Bill line item input","properties":{"description":{"type":"string"},"expense_account_id":{"description":"ExpenseAccountID is an optional GL/expense account ID used to categorize this line item. Omit to leave it uncategorized.","type":"string"},"name":{"type":"string"},"quantity":{"type":"number"},"tax":{"type":"number"},"total":{"type":"number"},"unit_price":{"type":"number"},"unit_type":{"type":"string"}},"type":"object"}}}}
```

## The ListVendorDataRequestsReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"ListVendorDataRequestsReply":{"description":"List of vendor data requests","properties":{"data":{"items":{"$ref":"#/components/schemas/VendorDataRequestReply"},"type":"array"}},"type":"object"},"VendorDataRequestReply":{"description":"Vendor data request details","properties":{"created_at":{"type":"string"},"expires_at":{"type":"string"},"id":{"type":"string"},"status":{"type":"string"},"submitted_at":{"type":"string"},"vendor_id":{"type":"string"}},"type":"object"}}}}
```

## The MethodType object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"MethodType":{"enum":["card","ach"],"type":"string"}}}}
```

## The PaginatedResponse-BillReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaginatedResponse-BillReply":{"properties":{"data":{"items":{"$ref":"#/components/schemas/BillReply"},"type":"array"},"end_cursor":{"type":"string"},"has_next_page":{"type":"boolean"},"has_previous_page":{"type":"boolean"},"start_cursor":{"type":"string"}},"type":"object"},"BillReply":{"description":"Bill details","properties":{"amount":{"type":"number"},"created_at":{"type":"string"},"description":{"type":"string"},"due_date":{"type":"string"},"id":{"type":"string"},"issue_date":{"type":"string"},"last_status":{"$ref":"#/components/schemas/BillStatusReply"},"line_items":{"items":{"$ref":"#/components/schemas/LineItemReply"},"type":"array"},"number":{"type":"string"},"pay_date":{"type":"string"},"source":{"$ref":"#/components/schemas/BillSource"},"status":{"$ref":"#/components/schemas/BillStatus"},"updated_at":{"type":"string"},"vendor_id":{"type":"string"},"vendor_payments":{"items":{"$ref":"#/components/schemas/VendorPaymentReply"},"type":"array"}},"type":"object"},"BillStatusReply":{"description":"Bill status history entry","properties":{"created_at":{"type":"string"},"reason":{"type":"string"},"status":{"$ref":"#/components/schemas/BillStatus"},"user_id":{"type":"string"}},"type":"object"},"BillStatus":{"description":"Bill status enum","enum":["draft","needs_approval","processing","paid","deleted","failed"],"type":"string"},"LineItemReply":{"description":"Bill line item details","properties":{"description":{"type":"string"},"expense_account_id":{"type":"string"},"name":{"type":"string"},"quantity":{"type":"number"},"sequence":{"type":"integer"},"tax":{"type":"number"},"total":{"type":"number"},"unit_price":{"type":"number"},"unit_type":{"type":"string"}},"type":"object"},"BillSource":{"description":"Bill source enum","enum":["manual","quickbooks","ocr"],"type":"string"},"VendorPaymentReply":{"description":"Vendor payment details","properties":{"attempt_number":{"type":"integer"},"estimated_arrival_date":{"type":"string"},"failure_reason":{"type":"string"},"hold_until":{"type":"string"},"id":{"type":"string"},"payment_method_id":{"type":"string"},"payment_speed":{"$ref":"#/components/schemas/PaymentSpeedEnum"},"sent_at":{"type":"string"},"status":{"$ref":"#/components/schemas/VendorPaymentStatusEnum"}},"type":"object"},"PaymentSpeedEnum":{"description":"Payment speed enum","enum":["standard","next_day","same_day","instant"],"type":"string"},"VendorPaymentStatusEnum":{"description":"Vendor payment status enum","enum":["hold","waiting_pay_date","ready","processing","succeeded","failed"],"type":"string"}}}}
```

## The PaginatedResponse-CustomerReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaginatedResponse-CustomerReply":{"properties":{"data":{"items":{"$ref":"#/components/schemas/CustomerReply"},"type":"array"},"end_cursor":{"type":"string"},"has_next_page":{"type":"boolean"},"has_previous_page":{"type":"boolean"},"start_cursor":{"type":"string"}},"type":"object"},"CustomerReply":{"properties":{"city":{"type":"string"},"country":{"type":"string"},"created_at":{"type":"string"},"customer_integration_id":{"type":"string"},"default_payment_method_id":{"type":"string"},"ein":{"type":"string"},"email":{"type":"string"},"external_id":{"type":"string"},"id":{"type":"string"},"legal_name":{"type":"string"},"name":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"street_address":{"type":"string"},"sub_premise":{"type":"string"}},"type":"object"}}}}
```

## The PaginatedResponse-CustomerUser object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaginatedResponse-CustomerUser":{"properties":{"data":{"items":{"$ref":"#/components/schemas/CustomerUser"},"type":"array"},"end_cursor":{"type":"string"},"has_next_page":{"type":"boolean"},"has_previous_page":{"type":"boolean"},"start_cursor":{"type":"string"}},"type":"object"},"CustomerUser":{"properties":{"created_at":{"type":"string"},"email":{"type":"string"},"first_name":{"type":"string"},"id":{"type":"string"},"job_title":{"type":"string"},"last_name":{"type":"string"},"phone":{"type":"string"}},"type":"object"}}}}
```

## The PaginatedResponse-Invoice object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaginatedResponse-Invoice":{"properties":{"data":{"items":{"$ref":"#/components/schemas/Invoice"},"type":"array"},"end_cursor":{"type":"string"},"has_next_page":{"type":"boolean"},"has_previous_page":{"type":"boolean"},"start_cursor":{"type":"string"}},"type":"object"},"Invoice":{"properties":{"created_at":{"type":"string"},"currency":{"type":"string"},"customer_id":{"type":"string"},"due_date":{"type":"string"},"id":{"type":"string"},"invoice_number":{"type":"string"},"last_notification_at":{"type":"string"},"line_items":{"items":{"$ref":"#/components/schemas/InvoiceLineItem"},"type":"array"},"memo":{"type":"string"},"status":{"type":"string"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"InvoiceLineItem":{"properties":{"amount":{"type":"number"},"description":{"type":"string"},"quantity":{"type":"integer"}},"type":"object"}}}}
```

## The PaginatedResponse-Payment object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaginatedResponse-Payment":{"properties":{"data":{"items":{"$ref":"#/components/schemas/Payment"},"type":"array"},"end_cursor":{"type":"string"},"has_next_page":{"type":"boolean"},"has_previous_page":{"type":"boolean"},"start_cursor":{"type":"string"}},"type":"object"},"Payment":{"properties":{"created_at":{"type":"string"},"customer_id":{"type":"string"},"due_date":{"type":"string"},"fees":{"items":{"$ref":"#/components/schemas/PaymentFee"},"type":"array"},"id":{"type":"string"},"payment_method":{"type":"string"},"status":{"type":"string"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"PaymentFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"description":"@enum FT_LATE_PAYMENT,FT_PRODUCT,FT_METHOD,FT_INTEREST","enum":["FT_LATE_PAYMENT","FT_PRODUCT","FT_METHOD","FT_INTEREST"],"type":"string"}},"type":"object"}}}}
```

## The PaginatedResponse-Payout object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaginatedResponse-Payout":{"properties":{"data":{"items":{"$ref":"#/components/schemas/Payout"},"type":"array"},"end_cursor":{"type":"string"},"has_next_page":{"type":"boolean"},"has_previous_page":{"type":"boolean"},"start_cursor":{"type":"string"}},"type":"object"},"Payout":{"properties":{"arrival_date":{"type":"string"},"created_at":{"type":"string"},"customer_id":{"type":"string"},"fees":{"items":{"$ref":"#/components/schemas/PayoutFee"},"type":"array"},"id":{"type":"string"},"status":{"$ref":"#/components/schemas/PayoutStatus"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"PayoutFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/PayoutFeeType"}},"type":"object"},"PayoutFeeType":{"enum":["unspecified","late_payment","product","method"],"type":"string"},"PayoutStatus":{"enum":["unspecified","creating","processing","analyzing","succeeded","scheduled","approved","canceled","pending","failed"],"type":"string"}}}}
```

## The PaginatedResponse-RefundReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaginatedResponse-RefundReply":{"properties":{"data":{"items":{"$ref":"#/components/schemas/RefundReply"},"type":"array"},"end_cursor":{"type":"string"},"has_next_page":{"type":"boolean"},"has_previous_page":{"type":"boolean"},"start_cursor":{"type":"string"}},"type":"object"},"RefundReply":{"properties":{"created_at":{"type":"string"},"customer_id":{"type":"string"},"due_date":{"type":"string"},"fees":{"items":{"$ref":"#/components/schemas/RefundFee"},"type":"array"},"id":{"type":"string"},"payment_method":{"type":"string"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"RefundFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"description":"@enum FT_LATE_PAYMENT,FT_PRODUCT,FT_METHOD,FT_INTEREST","enum":["FT_LATE_PAYMENT","FT_PRODUCT","FT_METHOD","FT_INTEREST"],"type":"string"}},"type":"object"}}}}
```

## The PaginatedResponse-VendorReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaginatedResponse-VendorReply":{"properties":{"data":{"items":{"$ref":"#/components/schemas/VendorReply"},"type":"array"},"end_cursor":{"type":"string"},"has_next_page":{"type":"boolean"},"has_previous_page":{"type":"boolean"},"start_cursor":{"type":"string"}},"type":"object"},"VendorReply":{"description":"Vendor details","properties":{"category":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"created_at":{"type":"string"},"email":{"type":"string"},"id":{"type":"string"},"is_active":{"type":"boolean"},"name":{"type":"string"},"origin":{"$ref":"#/components/schemas/VendorOriginEnum"},"phone":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"street_address":{"type":"string"},"tax_id":{"type":"string"},"updated_at":{"type":"string"}},"type":"object"},"VendorOriginEnum":{"description":"Vendor origin enum","enum":["manual","quickbooks","ocr"],"type":"string"}}}}
```

## The PaginatedResponse-WebhookEvent object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaginatedResponse-WebhookEvent":{"properties":{"data":{"items":{"$ref":"#/components/schemas/WebhookEvent"},"type":"array"},"end_cursor":{"type":"string"},"has_next_page":{"type":"boolean"},"has_previous_page":{"type":"boolean"},"start_cursor":{"type":"string"}},"type":"object"},"WebhookEvent":{"description":"Webhook event information","properties":{"created_at":{"type":"string"},"id":{"type":"string"},"idempotency_key":{"type":"string"},"partner_id":{"type":"string"},"payload":{},"sent_at":{"type":"string"},"sort_key":{"type":"integer"},"status":{"$ref":"#/components/schemas/WebhookEventStatus"},"topic":{"$ref":"#/components/schemas/WebhookTopic"},"updated_at":{"type":"string"}},"type":"object"},"WebhookEventStatus":{"enum":["pending","sent","failed"],"type":"string"},"WebhookTopic":{"enum":["payout_paid","payout_failed","payout_processing","payout_scheduled","customer_created","customer_updated","customer_archived","payment_succeeded","payment_chargeback","payment_refunded","invoice_paid","invoice_archived","invoice_created","invoice_updated","payment_failed","payment_method_added","payment_method_deleted","default_payment_method_changed","vendor_created","vendor_updated","vendor_deactivated","vendor_reactivated","bill_created","bill_updated","bill_submitted","bill_rejected","bill_deleted","vendor_payment_processing","vendor_payment_succeeded","vendor_payment_failed","vendor_payment_canceled","vendor_data_request_submitted"],"type":"string"}}}}
```

## The PaginatedResponse-WebhookSubscription object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaginatedResponse-WebhookSubscription":{"properties":{"data":{"items":{"$ref":"#/components/schemas/WebhookSubscription"},"type":"array"},"end_cursor":{"type":"string"},"has_next_page":{"type":"boolean"},"has_previous_page":{"type":"boolean"},"start_cursor":{"type":"string"}},"type":"object"},"WebhookSubscription":{"description":"Webhook subscription information","properties":{"created_at":{"type":"string"},"endpoint_url":{"type":"string"},"id":{"type":"string"},"is_active":{"type":"boolean"},"partner_id":{"type":"string"},"secret_last_4_digits":{"type":"string"},"topic":{"$ref":"#/components/schemas/WebhookTopic"},"updated_at":{"type":"string"}},"type":"object"},"WebhookTopic":{"enum":["payout_paid","payout_failed","payout_processing","payout_scheduled","customer_created","customer_updated","customer_archived","payment_succeeded","payment_chargeback","payment_refunded","invoice_paid","invoice_archived","invoice_created","invoice_updated","payment_failed","payment_method_added","payment_method_deleted","default_payment_method_changed","vendor_created","vendor_updated","vendor_deactivated","vendor_reactivated","bill_created","bill_updated","bill_submitted","bill_rejected","bill_deleted","vendor_payment_processing","vendor_payment_succeeded","vendor_payment_failed","vendor_payment_canceled","vendor_data_request_submitted"],"type":"string"}}}}
```

## The PatchBillInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PatchBillInput":{"description":"Bill patch request (partial update)","properties":{"amount":{"type":"number"},"description":{"type":"string"},"due_date":{"type":"string"},"issue_date":{"type":"string"},"line_items":{"$ref":"#/components/schemas/LineItemsUpdateInput"},"vendor_id":{"type":"string"}},"type":"object"},"LineItemsUpdateInput":{"description":"Line items update with optional replacement","properties":{"items":{"items":{"$ref":"#/components/schemas/BillLineItemInput"},"type":"array"},"replace":{"type":"boolean"}},"type":"object"},"BillLineItemInput":{"description":"Bill line item input","properties":{"description":{"type":"string"},"expense_account_id":{"description":"ExpenseAccountID is an optional GL/expense account ID used to categorize this line item. Omit to leave it uncategorized.","type":"string"},"name":{"type":"string"},"quantity":{"type":"number"},"tax":{"type":"number"},"total":{"type":"number"},"unit_price":{"type":"number"},"unit_type":{"type":"string"}},"type":"object"}}}}
```

## The PatchCustomerRequest object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PatchCustomerRequest":{"description":"Request body for patching customer information","properties":{"city":{"type":"string"},"country":{"type":"string"},"ein":{"type":"string"},"legal_name":{"type":"string"},"name":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"street_address":{"type":"string"},"sub_premise":{"type":"string"}},"type":"object"}}}}
```

## The PatchVendorInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PatchVendorInput":{"description":"Vendor patch request (partial update)","properties":{"category":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"email":{"type":"string"},"name":{"type":"string"},"phone":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"street_address":{"type":"string"},"tax_id":{"type":"string"}},"type":"object"}}}}
```

## The Payment object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"Payment":{"properties":{"created_at":{"type":"string"},"customer_id":{"type":"string"},"due_date":{"type":"string"},"fees":{"items":{"$ref":"#/components/schemas/PaymentFee"},"type":"array"},"id":{"type":"string"},"payment_method":{"type":"string"},"status":{"type":"string"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"PaymentFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"description":"@enum FT_LATE_PAYMENT,FT_PRODUCT,FT_METHOD,FT_INTEREST","enum":["FT_LATE_PAYMENT","FT_PRODUCT","FT_METHOD","FT_INTEREST"],"type":"string"}},"type":"object"}}}}
```

## The PaymentFee object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaymentFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"description":"@enum FT_LATE_PAYMENT,FT_PRODUCT,FT_METHOD,FT_INTEREST","enum":["FT_LATE_PAYMENT","FT_PRODUCT","FT_METHOD","FT_INTEREST"],"type":"string"}},"type":"object"}}}}
```

## The PaymentItemInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaymentItemInput":{"description":"Payment item for vendor payment creation","properties":{"bill_id":{"type":"string"},"payment_method_id":{"type":"string"},"payment_speed":{"$ref":"#/components/schemas/PaymentSpeedInput"}},"type":"object"},"PaymentSpeedInput":{"description":"Payment speed enum: standard, next_day, same_day, instant","enum":["standard","next_day","same_day","instant"],"type":"string"}}}}
```

## The PaymentMethod object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaymentMethod":{"properties":{"brand":{"type":"string"},"created_at":{"type":"string"},"default":{"type":"boolean"},"exp_month":{"type":"string"},"exp_year":{"type":"string"},"id":{"type":"string"},"last4":{"type":"string"},"type":{"$ref":"#/components/schemas/MethodType"}},"type":"object"},"MethodType":{"enum":["card","ach"],"type":"string"}}}}
```

## The PaymentRequest object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaymentRequest":{"properties":{"id":{"type":"string"},"redirect_url":{"type":"string"},"reference_id":{"type":"string"},"status":{"type":"string"},"url":{"type":"string"}},"type":"object"}}}}
```

## The PaymentRequestInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaymentRequestInput":{"properties":{"amount":{"type":"string"},"redirect_url":{"type":"string"},"reference_id":{"type":"string"}},"type":"object"}}}}
```

## The PaymentSpeedEnum object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaymentSpeedEnum":{"description":"Payment speed enum","enum":["standard","next_day","same_day","instant"],"type":"string"}}}}
```

## The PaymentSpeedInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PaymentSpeedInput":{"description":"Payment speed enum: standard, next_day, same_day, instant","enum":["standard","next_day","same_day","instant"],"type":"string"}}}}
```

## The Payout object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"Payout":{"properties":{"arrival_date":{"type":"string"},"created_at":{"type":"string"},"customer_id":{"type":"string"},"fees":{"items":{"$ref":"#/components/schemas/PayoutFee"},"type":"array"},"id":{"type":"string"},"status":{"$ref":"#/components/schemas/PayoutStatus"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"PayoutFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/PayoutFeeType"}},"type":"object"},"PayoutFeeType":{"enum":["unspecified","late_payment","product","method"],"type":"string"},"PayoutStatus":{"enum":["unspecified","creating","processing","analyzing","succeeded","scheduled","approved","canceled","pending","failed"],"type":"string"}}}}
```

## The PayoutFee object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PayoutFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"$ref":"#/components/schemas/PayoutFeeType"}},"type":"object"},"PayoutFeeType":{"enum":["unspecified","late_payment","product","method"],"type":"string"}}}}
```

## The PayoutFeeType object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PayoutFeeType":{"enum":["unspecified","late_payment","product","method"],"type":"string"}}}}
```

## The PayoutStatus object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"PayoutStatus":{"enum":["unspecified","creating","processing","analyzing","succeeded","scheduled","approved","canceled","pending","failed"],"type":"string"}}}}
```

## The ReactivateVendorReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"ReactivateVendorReply":{"description":"Vendor reactivation result","properties":{"affected_bill_count":{"type":"integer"},"vendor_id":{"type":"string"}},"type":"object"}}}}
```

## The RefundFee object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"RefundFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"description":"@enum FT_LATE_PAYMENT,FT_PRODUCT,FT_METHOD,FT_INTEREST","enum":["FT_LATE_PAYMENT","FT_PRODUCT","FT_METHOD","FT_INTEREST"],"type":"string"}},"type":"object"}}}}
```

## The RefundReasonDetail object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"RefundReasonDetail":{"description":"The reason for the refund. If 'Other', please specify the reason in more detail.","properties":{"description":{"type":"string"},"type":{"allOf":[{"$ref":"#/components/schemas/refunds_api.RefundType"}],"description":"@enum Customer Request, Duplicate, Fraud, Other"}},"type":"object"},"refunds_api.RefundType":{"enum":["Customer Request","Duplicate","Fraud","Other"],"type":"string"}}}}
```

## The RefundReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"RefundReply":{"properties":{"created_at":{"type":"string"},"customer_id":{"type":"string"},"due_date":{"type":"string"},"fees":{"items":{"$ref":"#/components/schemas/RefundFee"},"type":"array"},"id":{"type":"string"},"payment_method":{"type":"string"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"RefundFee":{"properties":{"amount":{"type":"number"},"covered_by_customer":{"type":"boolean"},"name":{"type":"string"},"type":{"description":"@enum FT_LATE_PAYMENT,FT_PRODUCT,FT_METHOD,FT_INTEREST","enum":["FT_LATE_PAYMENT","FT_PRODUCT","FT_METHOD","FT_INTEREST"],"type":"string"}},"type":"object"}}}}
```

## The RejectBillInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"RejectBillInput":{"description":"Bill rejection request","properties":{"reason":{"type":"string"}},"type":"object"}}}}
```

## The RejectBillReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"RejectBillReply":{"description":"Bill rejection result","properties":{"bill_id":{"type":"string"}},"type":"object"}}}}
```

## The ResendVendorDataRequestReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"ResendVendorDataRequestReply":{"description":"Data request resend confirmation","properties":{"success":{"type":"boolean"}},"type":"object"}}}}
```

## The RetryVendorPaymentReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"RetryVendorPaymentReply":{"description":"Vendor payment retry result","properties":{"bill_id":{"type":"string"}},"type":"object"}}}}
```

## The RetryWebhooksResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"RetryWebhooksResponse":{"description":"Response from retrying webhooks","properties":{"message":{"type":"string"}},"type":"object"}}}}
```

## The SubmitBillReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"SubmitBillReply":{"description":"Bill submission result","properties":{"bill_id":{"type":"string"},"success":{"type":"boolean"}},"type":"object"}}}}
```

## The SubscribeWebhookInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"SubscribeWebhookInput":{"description":"Subscribe to a webhook","properties":{"endpoint_url":{"type":"string"},"secret_key":{"type":"string"},"topic":{"$ref":"#/components/schemas/WebhookTopic"}},"type":"object"},"WebhookTopic":{"enum":["payout_paid","payout_failed","payout_processing","payout_scheduled","customer_created","customer_updated","customer_archived","payment_succeeded","payment_chargeback","payment_refunded","invoice_paid","invoice_archived","invoice_created","invoice_updated","payment_failed","payment_method_added","payment_method_deleted","default_payment_method_changed","vendor_created","vendor_updated","vendor_deactivated","vendor_reactivated","bill_created","bill_updated","bill_submitted","bill_rejected","bill_deleted","vendor_payment_processing","vendor_payment_succeeded","vendor_payment_failed","vendor_payment_canceled","vendor_data_request_submitted"],"type":"string"}}}}
```

## The ThemePreferences object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"ThemePreferences":{"properties":{"color":{"type":"string"},"logo_url":{"type":"string"}},"type":"object"}}}}
```

## The TokenResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"TokenResponse":{"description":"OAuth2 access token response structure containing the bearer token and expiration details","properties":{"access_token":{"description":"@Description The OAuth2 access token for API authentication - use as Bearer token in Authorization header\n@Example 580defdbe1d21e0001c67e5c2a0a6c98ba8b4a059dc5825388501574","type":"string"},"expires_in":{"description":"@Description Token expiration time in seconds from issuance\n@Example 3600","type":"integer"},"token_type":{"description":"@Description OAuth2 token type - always \"bearer\" for this implementation\n@Example bearer","type":"string"}},"type":"object"}}}}
```

## The Transaction object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"Transaction":{"properties":{"description":{"type":"string"},"direction":{"$ref":"#/components/schemas/TransactionDirection"},"failure_reason":{"type":"string"},"id":{"type":"string"},"method":{"$ref":"#/components/schemas/TransactionMethod"},"status":{"$ref":"#/components/schemas/TransactionStatus"},"sub_total":{"type":"number"},"total":{"type":"number"}},"type":"object"},"TransactionDirection":{"enum":["credit","debit"],"type":"string"},"TransactionMethod":{"enum":["standard_ach","same_day_ach","manual","card","wire","rtp"],"type":"string"},"TransactionStatus":{"enum":["created","processing","succeeded","canceled","charged","failed","chargeback","refunded"],"type":"string"}}}}
```

## The TransactionDirection object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"TransactionDirection":{"enum":["credit","debit"],"type":"string"}}}}
```

## The TransactionMethod object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"TransactionMethod":{"enum":["standard_ach","same_day_ach","manual","card","wire","rtp"],"type":"string"}}}}
```

## The TransactionStatus object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"TransactionStatus":{"enum":["created","processing","succeeded","canceled","charged","failed","chargeback","refunded"],"type":"string"}}}}
```

## The UpdatePayDateInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"UpdatePayDateInput":{"description":"Pay date update request","properties":{"pay_date":{"type":"string"}},"type":"object"}}}}
```

## The UpdatePayDateReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"UpdatePayDateReply":{"description":"Pay date update result","properties":{"bill_id":{"type":"string"}},"type":"object"}}}}
```

## The UploadBillDocumentInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"UploadBillDocumentInput":{"description":"Bill document upload request","properties":{"content":{"type":"string"},"content_type":{"type":"string"},"filename":{"type":"string"}},"type":"object"}}}}
```

## The UploadBillDocumentReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"UploadBillDocumentReply":{"description":"Bill upload result with OCR data","properties":{"bill_id":{"type":"string"},"bill_number":{"type":"string"},"document_path":{"type":"string"},"extracted_data":{"$ref":"#/components/schemas/ExtractedBillDataReply"},"warnings":{"items":{"type":"string"},"type":"array"}},"type":"object"},"ExtractedBillDataReply":{"description":"Extracted bill data from OCR","properties":{"description":{"type":"string"},"due_date":{"type":"string"},"invoice_number":{"type":"string"},"issue_date":{"type":"string"},"line_items":{"items":{"$ref":"#/components/schemas/ExtractedLineItemReply"},"type":"array"},"total":{"type":"number"},"vendor_email":{"type":"string"},"vendor_name":{"type":"string"}},"type":"object"},"ExtractedLineItemReply":{"description":"Extracted line item from OCR","properties":{"description":{"type":"string"},"name":{"type":"string"},"quantity":{"type":"number"},"total":{"type":"number"},"unit_price":{"type":"number"}},"type":"object"}}}}
```

## The UploadInvoicePdfInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"UploadInvoicePdfInput":{"description":"Invoice PDF upload request. Provide exactly one of content (base64-encoded bytes) or url (public HTTPS link to the PDF, downloaded once at upload time and stored). Either way we keep our own copy and never read the link again, so send the request again to publish an updated document.","properties":{"content":{"description":"The PDF document as standard base64 (RFC 4648). Must decode to a valid PDF\n(the file must start with the PDF header) of at most 10 MB. Mutually\nexclusive with url.","type":"string"},"url":{"description":"A public, absolute HTTPS link to the PDF. Fetched exactly once, at upload\ntime; we store our own copy and never read the link again — if the document\nbehind it changes, re-send this request to publish the new version. HTTP links,\nredirects to non-HTTPS locations, and links resolving to private addresses\nare rejected. The response must be a PDF of at most 10 MB. Mutually\nexclusive with content.","type":"string"}},"type":"object"}}}}
```

## The UploadInvoicePdfReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"UploadInvoicePdfReply":{"properties":{"path":{"description":"Path is the stored location of the PDF, for both the content and url\nvariants. It is an opaque identifier, not a downloadable link — to retrieve\nthe document, call GET /invoices/{id}/pdf-link for a signed URL.","type":"string"}},"type":"object"}}}}
```

## The UpsertBankAccountInput object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"UpsertBankAccountInput":{"description":"Bank account upsert request","properties":{"account_number":{"type":"string"},"account_type":{"type":"string"},"bank_name":{"type":"string"},"routing_number":{"type":"string"}},"type":"object"}}}}
```

## The VendorDataRequestReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"VendorDataRequestReply":{"description":"Vendor data request details","properties":{"created_at":{"type":"string"},"expires_at":{"type":"string"},"id":{"type":"string"},"status":{"type":"string"},"submitted_at":{"type":"string"},"vendor_id":{"type":"string"}},"type":"object"}}}}
```

## The VendorOriginEnum object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"VendorOriginEnum":{"description":"Vendor origin enum","enum":["manual","quickbooks","ocr"],"type":"string"}}}}
```

## The VendorPaymentReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"VendorPaymentReply":{"description":"Vendor payment details","properties":{"attempt_number":{"type":"integer"},"estimated_arrival_date":{"type":"string"},"failure_reason":{"type":"string"},"hold_until":{"type":"string"},"id":{"type":"string"},"payment_method_id":{"type":"string"},"payment_speed":{"$ref":"#/components/schemas/PaymentSpeedEnum"},"sent_at":{"type":"string"},"status":{"$ref":"#/components/schemas/VendorPaymentStatusEnum"}},"type":"object"},"PaymentSpeedEnum":{"description":"Payment speed enum","enum":["standard","next_day","same_day","instant"],"type":"string"},"VendorPaymentStatusEnum":{"description":"Vendor payment status enum","enum":["hold","waiting_pay_date","ready","processing","succeeded","failed"],"type":"string"}}}}
```

## The VendorPaymentStatusEnum object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"VendorPaymentStatusEnum":{"description":"Vendor payment status enum","enum":["hold","waiting_pay_date","ready","processing","succeeded","failed"],"type":"string"}}}}
```

## The VendorReply object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"VendorReply":{"description":"Vendor details","properties":{"category":{"type":"string"},"city":{"type":"string"},"country":{"type":"string"},"created_at":{"type":"string"},"email":{"type":"string"},"id":{"type":"string"},"is_active":{"type":"boolean"},"name":{"type":"string"},"origin":{"$ref":"#/components/schemas/VendorOriginEnum"},"phone":{"type":"string"},"postal_code":{"type":"string"},"state":{"type":"string"},"street_address":{"type":"string"},"tax_id":{"type":"string"},"updated_at":{"type":"string"}},"type":"object"},"VendorOriginEnum":{"description":"Vendor origin enum","enum":["manual","quickbooks","ocr"],"type":"string"}}}}
```

## The WebhookEvent object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"WebhookEvent":{"description":"Webhook event information","properties":{"created_at":{"type":"string"},"id":{"type":"string"},"idempotency_key":{"type":"string"},"partner_id":{"type":"string"},"payload":{},"sent_at":{"type":"string"},"sort_key":{"type":"integer"},"status":{"$ref":"#/components/schemas/WebhookEventStatus"},"topic":{"$ref":"#/components/schemas/WebhookTopic"},"updated_at":{"type":"string"}},"type":"object"},"WebhookEventStatus":{"enum":["pending","sent","failed"],"type":"string"},"WebhookTopic":{"enum":["payout_paid","payout_failed","payout_processing","payout_scheduled","customer_created","customer_updated","customer_archived","payment_succeeded","payment_chargeback","payment_refunded","invoice_paid","invoice_archived","invoice_created","invoice_updated","payment_failed","payment_method_added","payment_method_deleted","default_payment_method_changed","vendor_created","vendor_updated","vendor_deactivated","vendor_reactivated","bill_created","bill_updated","bill_submitted","bill_rejected","bill_deleted","vendor_payment_processing","vendor_payment_succeeded","vendor_payment_failed","vendor_payment_canceled","vendor_data_request_submitted"],"type":"string"}}}}
```

## The WebhookEventStatus object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"WebhookEventStatus":{"enum":["pending","sent","failed"],"type":"string"}}}}
```

## The WebhookSubscription object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"WebhookSubscription":{"description":"Webhook subscription information","properties":{"created_at":{"type":"string"},"endpoint_url":{"type":"string"},"id":{"type":"string"},"is_active":{"type":"boolean"},"partner_id":{"type":"string"},"secret_last_4_digits":{"type":"string"},"topic":{"$ref":"#/components/schemas/WebhookTopic"},"updated_at":{"type":"string"}},"type":"object"},"WebhookTopic":{"enum":["payout_paid","payout_failed","payout_processing","payout_scheduled","customer_created","customer_updated","customer_archived","payment_succeeded","payment_chargeback","payment_refunded","invoice_paid","invoice_archived","invoice_created","invoice_updated","payment_failed","payment_method_added","payment_method_deleted","default_payment_method_changed","vendor_created","vendor_updated","vendor_deactivated","vendor_reactivated","bill_created","bill_updated","bill_submitted","bill_rejected","bill_deleted","vendor_payment_processing","vendor_payment_succeeded","vendor_payment_failed","vendor_payment_canceled","vendor_data_request_submitted"],"type":"string"}}}}
```

## The WebhookTopic object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"WebhookTopic":{"enum":["payout_paid","payout_failed","payout_processing","payout_scheduled","customer_created","customer_updated","customer_archived","payment_succeeded","payment_chargeback","payment_refunded","invoice_paid","invoice_archived","invoice_created","invoice_updated","payment_failed","payment_method_added","payment_method_deleted","default_payment_method_changed","vendor_created","vendor_updated","vendor_deactivated","vendor_reactivated","bill_created","bill_updated","bill_submitted","bill_rejected","bill_deleted","vendor_payment_processing","vendor_payment_succeeded","vendor_payment_failed","vendor_payment_canceled","vendor_data_request_submitted"],"type":"string"}}}}
```

## The address\_api.AddressComponent object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"address_api.AddressComponent":{"properties":{"long_name":{"type":"string"},"short_name":{"type":"string"},"types":{"items":{"type":"string"},"type":"array"}},"type":"object"}}}}
```

## The address\_api.AddressResult object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"address_api.AddressResult":{"properties":{"address_components":{"items":{"$ref":"#/components/schemas/address_api.AddressComponent"},"type":"array"},"name":{"type":"string"}},"type":"object"},"address_api.AddressComponent":{"properties":{"long_name":{"type":"string"},"short_name":{"type":"string"},"types":{"items":{"type":"string"},"type":"array"}},"type":"object"}}}}
```

## The address\_api.AutocompleteRequest object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"address_api.AutocompleteRequest":{"properties":{"country":{"type":"string"},"q":{"type":"string"},"sessiontoken":{"type":"string"}},"type":"object"}}}}
```

## The address\_api.AutocompleteResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"address_api.AutocompleteResponse":{"properties":{"data":{"items":{"$ref":"#/components/schemas/address_api.Prediction"},"type":"array"}},"type":"object"},"address_api.Prediction":{"properties":{"description":{"type":"string"},"place_id":{"type":"string"},"structured_formatting":{"$ref":"#/components/schemas/address_api.StructuredFormating"}},"type":"object"},"address_api.StructuredFormating":{"properties":{"main_text":{"type":"string"},"secondary_text":{"type":"string"}},"type":"object"}}}}
```

## The address\_api.DetailsRequest object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"address_api.DetailsRequest":{"properties":{"id":{"type":"string"},"sessiontoken":{"type":"string"}},"type":"object"}}}}
```

## The address\_api.DetailsResponse object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"address_api.DetailsResponse":{"properties":{"data":{"$ref":"#/components/schemas/address_api.PlaceDetails"}},"type":"object"},"address_api.PlaceDetails":{"properties":{"result":{"$ref":"#/components/schemas/address_api.AddressResult"}},"type":"object"},"address_api.AddressResult":{"properties":{"address_components":{"items":{"$ref":"#/components/schemas/address_api.AddressComponent"},"type":"array"},"name":{"type":"string"}},"type":"object"},"address_api.AddressComponent":{"properties":{"long_name":{"type":"string"},"short_name":{"type":"string"},"types":{"items":{"type":"string"},"type":"array"}},"type":"object"}}}}
```

## The address\_api.PlaceDetails object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"address_api.PlaceDetails":{"properties":{"result":{"$ref":"#/components/schemas/address_api.AddressResult"}},"type":"object"},"address_api.AddressResult":{"properties":{"address_components":{"items":{"$ref":"#/components/schemas/address_api.AddressComponent"},"type":"array"},"name":{"type":"string"}},"type":"object"},"address_api.AddressComponent":{"properties":{"long_name":{"type":"string"},"short_name":{"type":"string"},"types":{"items":{"type":"string"},"type":"array"}},"type":"object"}}}}
```

## The address\_api.Prediction object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"address_api.Prediction":{"properties":{"description":{"type":"string"},"place_id":{"type":"string"},"structured_formatting":{"$ref":"#/components/schemas/address_api.StructuredFormating"}},"type":"object"},"address_api.StructuredFormating":{"properties":{"main_text":{"type":"string"},"secondary_text":{"type":"string"}},"type":"object"}}}}
```

## The address\_api.StructuredFormating object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"address_api.StructuredFormating":{"properties":{"main_text":{"type":"string"},"secondary_text":{"type":"string"}},"type":"object"}}}}
```

## The checkout\_api.AccountSubtype object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"checkout_api.AccountSubtype":{"enum":["checkings","savings"],"type":"string"}}}}
```

## The checkout\_api.AccountType object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"checkout_api.AccountType":{"enum":["depository"],"type":"string"}}}}
```

## The checkout\_api.CardProvider object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"checkout_api.CardProvider":{"enum":["evervault"],"type":"string"}}}}
```

## The checkout\_api.MethodType object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"checkout_api.MethodType":{"enum":["card","ach"],"type":"string"}}}}
```

## The payment\_methods\_api.CAAccountData object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"payment_methods_api.CAAccountData":{"properties":{"account_number":{"type":"string"},"institution_code":{"type":"string"},"transit_number":{"type":"string"}},"type":"object"}}}}
```

## The payment\_methods\_api.USAccountData object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"payment_methods_api.USAccountData":{"properties":{"account_number":{"type":"string"},"routing_number":{"type":"string"}},"type":"object"}}}}
```

## The refunds\_api.RefundType object

```json
{"openapi":"3.1.1","info":{"title":"Alternative Payments","version":"1.2.0"},"components":{"schemas":{"refunds_api.RefundType":{"enum":["Customer Request","Duplicate","Fraud","Other"],"type":"string"}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.alternativepayments.io/api-reference/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
